﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Drawing;
using System.Drawing.Imaging;

public partial class KaartLayout : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if(!IsPostBack) Wizard1.ActiveStepIndex = 0;
    }

    protected void Wizard1_NextButtonClick(object sender, WizardNavigationEventArgs e)
    {
        if (e.CurrentStepIndex == 1)
        {
            ToonPreview();
        }
    }

    void ToonPreview()
    {
        //Orientatie:
        int h = 0; int w = 0;

        if (rblOrientatie.SelectedIndex == 0)
        {
            h = 180; w = 300;
        }
        else
        {
            h = 300; w = 180;
        }
        Bitmap bmp = new Bitmap(w, h);
        Graphics gr = Graphics.FromImage(bmp);

        //Kleur:
        Color Kleur = Color.White;

        switch (ddlKleur.SelectedIndex)
        {
            case 0:
                Kleur = Color.White;
                break;
            case 1:
                Kleur = Color.Yellow;
                break;
            case 2:
                Kleur = Color.Green;
                break;
            default:
                break;
        }

        gr.Clear(Kleur);

        //Tekst:
        gr.DrawString(txtKaartTekst.Text,
                    new Font("Verdana", 10F),
                    new SolidBrush(Color.Black),
                    new PointF(10F, 10F));

	bmp.Save(Server.MapPath("~/Temp/Temp.png"), ImageFormat.Png);

        imgVoorbeeld.ImageUrl = "Temp/Temp.png";

    }
}
