﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Request.QueryString["Klant"] != null)
        {
            string sKlantNaam = Convert.ToString(Request.QueryString["Klant"]);
            lblWelkomTerug.Text = string.Format(lblWelkomTerug.Text, sKlantNaam);
            pnlLid.Visible = true;
        }
        else
        {
            pnlGeenLid.Visible = true;
        }

        LaadBezoekersAantal();
    }

    void LaadBezoekersAantal()
    {
        int iOnline = Convert.ToInt32(Application["GebruikersOnline"]);
        int iTotaal = Convert.ToInt32(Application["TotaalGebruikers"]);

        phBezoekers.Controls.Add(new LiteralControl("<h3>Bezoekersinfo</h3>"));
        phBezoekers.Controls.Add(new LiteralControl(string.Format("<p>Aantal bezoekers online: {0}<br/>", iOnline)));
        phBezoekers.Controls.Add(new LiteralControl(string.Format("Totaal aantal bezoekers: {0}</p>", iTotaal)));
        phBezoekers.Controls.Add(new LiteralControl("<hr/>"));

    }
}
