﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Beheer/Beheer.master" AutoEventWireup="true"
    CodeFile="KlantOrders.aspx.cs" Inherits="Beheer_KlantOrders" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">
    <asp:Label ID="lblKlantInfo" runat="server" Text="<h3>Orders voor klant {0}</h3>"></asp:Label>
    
    <asp:DataPager ID="DataPager1" runat="server" PagedControlID="lvBestellingen" 
        PageSize="2">
        <Fields>
            <asp:NextPreviousPagerField ButtonType="Button" ShowFirstPageButton="True" ShowLastPageButton="True"
                FirstPageText="Eerste" LastPageText="Laatste" NextPageText="Volgende" PreviousPageText="Vorige" />
        </Fields>
    </asp:DataPager>
    
    
    <asp:ListView ID="lvBestellingen" runat="server" DataSourceID="odsBestellingen">
        <LayoutTemplate>
            <asp:PlaceHolder ID="itemPlaceHolder" runat="server" />
        </LayoutTemplate>
        <ItemTemplate>
            <ul class="Order" >
                <li>Bestelling ID:
                    <%# Eval("BestellingID")%></li>
                <li>Datum:
                    <%# Convert.ToDateTime(Eval("Datum")).ToShortDateString() %>
                </li>
                <li>Status:
                    <%# Eval("Status") %>
                </li>
                <li>Aantal bestellingen:
                    <%# Eval("AantalKaarten") %></li>
            </ul>
            <br />
            <a href="KlantOrders.aspx?KlantID=<%# Eval("KlantID")%>&BestellingID=<%# Eval("BestellingID")%>">
                Details</a>
            <hr />
        </ItemTemplate>
        <EmptyDataTemplate>
            <div>
                Er zijn geen bestellingen aanwezig voor deze klant!</div>
        </EmptyDataTemplate>
    </asp:ListView>
    <br />
    <asp:ObjectDataSource ID="odsBestellingen" runat="server" SelectMethod="SelectAll"
        TypeName="Bestelling">
        <SelectParameters>
            <asp:QueryStringParameter Name="KlantID" QueryStringField="KlantID" Type="Int32" />
        </SelectParameters>
    </asp:ObjectDataSource>
    <asp:Panel ID="pnlArtikelen" runat="server">
        <h3>
            Artikelen</h3>
        <asp:GridView ID="gvKaarten" runat="server" DataSourceID="odsKaarten" 
            AllowPaging="True" AllowSorting="True" CellPadding="4" ForeColor="#333333" 
            GridLines="None">
            <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
            <Columns>
                <asp:CommandField ShowEditButton="True" ShowSelectButton="True" />
            </Columns>
            <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
            <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
            <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
            <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
            <EditRowStyle BackColor="#999999" />
            <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
        </asp:GridView>
            <asp:ObjectDataSource ID="odsKaarten" runat="server" SelectMethod="SelectAll" 
                TypeName="Kaart" DataObjectTypeName="Kaart" UpdateMethod="Update">
                <SelectParameters>
                    <asp:QueryStringParameter Name="BestellingID" QueryStringField="BestellingID" Type="Int32" />
                </SelectParameters>
            </asp:ObjectDataSource>
    </asp:Panel>
    <p>
    </p>
    <p>
    </p>
</asp:Content>
