﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class LidWorden : System.Web.UI.Page 
{
    protected void btnSubmit_Click(object sender, EventArgs e)
    {
        if (Page.IsValid)
        {
            string sVoornaam = txtFirstName.Text;

            string sAchternaam = txtLastName.Text;
            string sAdres = txtStreet.Text;
            string sNummer = txtHouse.Text;
            string sPostcode = txtZip.Text;
            string sWoonplaats = txtCity.Text;
            int iGeslacht = Convert.ToInt32(radGender.SelectedValue);
            DateTime dGeboorteDatum = new DateTime(
                Convert.ToInt32(txtDOBYear.Text),
                Convert.ToInt32(txtDOBMonth.Text),
                Convert.ToInt32(txtDOBDay.Text));
            string Email = txtEmail.Text;

            if (Session["mand"] != null)
            {
                Bestelling oOrder = (Bestelling)Session["mand"];
                oOrder.KlantID = 1; //TODO: instellen vanuit database
            }


            VolgendeActie(sVoornaam + " " + sAchternaam);
        }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack && Session["Mand"] != null)
        {
            ViewState["Order"] = true;
        }
    }

    void VolgendeActie(string KlantNaam)
    {
        bool bHeeftOrder = false;
        if (ViewState["Order"] != null)
        {
            bHeeftOrder = Convert.ToBoolean(ViewState["Order"]);
        }

        if (bHeeftOrder)
        {
            //Ga naar Kassa
            Response.Redirect("~/Kassa.aspx");
        }
        else
        {
            //Ga naar Bestelpagina
            Response.Redirect(string.Format("~/Default.aspx?Klant={0}", KlantNaam));
        }
    }
    
}

