﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Lidworden.aspx.cs" Inherits="LidWorden"
    MasterPageFile="~/Main.master" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">
    <div>
        <asp:Label ID="lblWelkom" runat="server" Text="Label"><h1>Meld u aan als klant of login als u al een account heeft!</h1></asp:Label>
        <asp:Label ID="lblFoutmelding" runat="server" Visible="False"></asp:Label>
        <table id="tblMain" runat="server">
            <tr>
                <td>
                    &nbsp;</td>
                <td>
                        &nbsp;</td>
                <td>
                    &nbsp;</td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="lblFirstName" runat="server">Voornaam</asp:Label>
                </td>
                <td>
                    <p>
                        <asp:TextBox ID="txtFirstName" runat="server" MaxLength="50"></asp:TextBox></p>
                </td>
                <td>
                    <asp:RequiredFieldValidator ID="rfvFirstName" runat="server" ControlToValidate="txtFirstName"
                        ErrorMessage="Vul uw voornaam in!">*</asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="lblLastName" runat="server">Achternaam</asp:Label>
                </td>
                <td>
                    <p>
                        <asp:TextBox ID="txtLastName" runat="server" MaxLength="50"></asp:TextBox></p>
                </td>
                <td>
                    <asp:RequiredFieldValidator ID="rfvLastName" runat="server" ControlToValidate="txtLastName"
                        ErrorMessage="Vul uw achternaam in!">*</asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="lblStreet" runat="server">Adres</asp:Label>
                </td>
                <td>
                    <asp:TextBox ID="txtStreet" runat="server" MaxLength="45" Width="112px"></asp:TextBox><asp:TextBox
                        ID="txtHouse" runat="server" MaxLength="5" Width="49px"></asp:TextBox>
                </td>
                <td>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="lblZip" runat="server">Postcode</asp:Label>
                </td>
                <td>
                    <asp:TextBox ID="txtZip" runat="server" MaxLength="50" Width="152px"></asp:TextBox>
                </td>
                <td>
                    &nbsp;
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="lblCity" runat="server">Woonplaats</asp:Label>
                </td>
                <td>
                    <asp:TextBox ID="txtCity" runat="server" MaxLength="50" Width="152px"></asp:TextBox>
                </td>
                <td>
                </td>
            </tr>
            <tr>
                <td>
                    Land
                </td>
                <td>
                    <asp:DropDownList ID="ddlLanden" runat="server" 
                        OnSelectedIndexChanged="ddlLanden_SelectedIndexChanged" 
                        AutoPostBack="True">
                    </asp:DropDownList>
                </td>
                <td>
                    &nbsp;
                    <asp:RangeValidator ID="RangeValidator1" runat="server" 
                        ControlToValidate="ddlLanden" ErrorMessage="Kies land uit!" MaximumValue="1000" 
                        MinimumValue="1" Type="Integer">*</asp:RangeValidator>
                </td>
            </tr>
            <tr>
                <td>
                    Provincie
                </td>
                <td>
                    <asp:DropDownList ID="ddlProvincies" runat="server">
                    </asp:DropDownList>
                </td>
                <td>
                    &nbsp;
                    <asp:RangeValidator ID="RangeValidator2" runat="server" 
                        ControlToValidate="ddlProvincies" ErrorMessage="Kies provincie uit!" 
                        MaximumValue="1000" MinimumValue="1" Type="Integer">*</asp:RangeValidator>
                </td>
            </tr>
            <tr>
                <td>
                    <p>
                        <asp:Label ID="lblGender" runat="server">Geslacht</asp:Label></p>
                </td>
                <td>
                    <p>
                        <asp:RadioButtonList ID="radGender" runat="server" Font-Size="X-Small" Width="168px">
                            <asp:ListItem Value="1">Man</asp:ListItem>
                            <asp:ListItem Value="2">Vrouw</asp:ListItem>
                        </asp:RadioButtonList>
                    </p>
                </td>
                <td>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="lblDOB" runat="server">Geboortedatum</asp:Label>
                </td>
                <td>
                    <asp:Panel ID="Panel1" runat="server">
                        &nbsp;d
                        <asp:TextBox ID="txtDOBDay" runat="server" MaxLength="2" Width="24px"></asp:TextBox>
                        m
                        <asp:TextBox ID="txtDOBMonth" runat="server" MaxLength="4" Width="24px"></asp:TextBox>
                        y
                        <asp:TextBox ID="txtDOBYear" runat="server" MaxLength="4" Width="40px"></asp:TextBox></asp:Panel>
                </td>
                <td>
                    <asp:RangeValidator ID="rvDOBYear" runat="server" ControlToValidate="txtDOBYear"
                        Display="Dynamic" ErrorMessage="Jaar moet tussen 0 en 99, of tussen 1900 en 2100 zijn!"
                        MaximumValue="2100" MinimumValue="0" Type="Integer">*</asp:RangeValidator>
                    <asp:RangeValidator ID="rvDOBMonth" runat="server" ControlToValidate="txtDOBMonth"
                        Display="Dynamic" ErrorMessage="Maand moet tussen 1 en 12 zijn." MaximumValue="12"
                        MinimumValue="1" Type="Integer">*</asp:RangeValidator>
                    <asp:RangeValidator ID="rvDOBDay" runat="server" ControlToValidate="txtDOBDay" Display="Dynamic"
                        ErrorMessage="Dag moet tussen 1 en 31 zijn." MaximumValue="31" MinimumValue="1"
                        Type="Integer">*</asp:RangeValidator><asp:RequiredFieldValidator ID="rfvDOBDay" runat="server"
                            ControlToValidate="txtDOBDay" ErrorMessage="Vul een dag in!">*</asp:RequiredFieldValidator><asp:RequiredFieldValidator
                                ID="rfvDOBMonth" runat="server" ControlToValidate="txtDOBMonth" ErrorMessage="Vul een maand in!">*</asp:RequiredFieldValidator><asp:RequiredFieldValidator
                                    ID="rfvDOBYear" runat="server" ControlToValidate="txtDOBYear" ErrorMessage="Vul een jaar in!">*</asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="lblEmail" runat="server">E-mail</asp:Label>
                </td>
                <td>
                    <asp:TextBox ID="txtEmail" runat="server" MaxLength="50" Width="144px"></asp:TextBox>
                </td>
                <td>
                    <asp:RegularExpressionValidator ID="revEmail" runat="server" ControlToValidate="txtEmail"
                        ErrorMessage="Vul een geldig e-mailadres in!" ValidationExpression="\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*">*</asp:RegularExpressionValidator>
                    <asp:RequiredFieldValidator ID="rfvFirstName0" runat="server" ControlToValidate="txtEmail"
                        ErrorMessage="Vul een e-mailadres in!">*</asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td>
<membership defaultProvider="MyCustomSqlMembershipProvider">
      <providers>
        <add
          name="MyCustomSqlMembershipProvider"
          type="System.Web.Security.SqlMembershipProvider, System.Web, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a"
          connectionStringName="connCards"
          enablePasswordRetrieval="false"
          enablePasswordReset="true"
          requiresQuestionAndAnswer="true"
          applicationName="/"
          requiresUniqueEmail="false"
          passwordFormat="Hashed"
          maxInvalidPasswordAttempts="5"
          minRequiredPasswordLength="7"
          minRequiredNonalphanumericCharacters="1"
          passwordAttemptWindow="10"
          passwordStrengthRegularExpression=""/>
                    Wachtwoord</providers></membership></td>
                <td>
                        <asp:TextBox ID="txtWachtwoord" runat="server" MaxLength="50" 
                    ></asp:TextBox>
                </td>
                <td>
                    <asp:RequiredFieldValidator ID="rfvWachtwoord" runat="server" ControlToValidate="txtWachtwoord"
                        ErrorMessage="Vul een wachtwoord in!">*</asp:RequiredFieldValidator>
                </td>
            </tr>
        </table>
        <p>
            <asp:Button ID="btnSubmit" runat="server" Text="Verzenden" OnClick="btnSubmit_Click" />
            <asp:ValidationSummary ID="vsSummary" runat="server" ShowMessageBox="True" />
    </div>
</asp:Content>
