﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class Usercontrols_BezoekersInfo : System.Web.UI.UserControl
{

    public Usercontrols_BezoekersInfo()
    {
        TekenLijn = true;
    }

    protected void Page_Load(object sender, EventArgs e)
    {

        LaadBezoekersAantal();
    }

    public bool TekenLijn
    {
        get
        {
            return Convert.ToBoolean(ViewState["Lijn"]);
        }
        set
        {
            ViewState["Lijn"] = value;
        }
    }

    public string Koptekst
    {
        get
        {
            return lblKopTekst.Text;
        }
        set
        {
            lblKopTekst.Text = "<h3>" + value + "<h3/>";
        }
    }


    void LaadBezoekersAantal()
    {
        int iOnline = Convert.ToInt32(Application["GebruikersOnline"]);
        int iTotaal = Convert.ToInt32(Application["TotaalGebruikers"]);

        phBezoekers.Controls.Add(new LiteralControl(string.Format("<p>Aantal bezoekers online: {0}<br/>", iOnline)));
        phBezoekers.Controls.Add(new LiteralControl(string.Format("Totaal aantal bezoekers: {0}</p>", iTotaal)));

        if(TekenLijn)
            phBezoekers.Controls.Add(new LiteralControl("<hr/>"));

    }
}
